Script Minifier not working in Win10?

Discussion and feedback on Construct 2

Post » Fri Aug 07, 2015 4:38 pm

Hi! I installed the latest beta r211 and upgraded to Win10. The first time I tried to Export I got the error below but its still showing after installing the latest Java Version for 32 and 64 bit. :(
Any ideas how to fix this?

---------------------------
HTML5 exporter
---------------------------
Unable to run the script minifier (2). Please ensure you have Java 8+ installed. It can be installed from www.java.com.

Note: you're using the 64-bit version of Construct 2. Make sure you install the 64-bit version of Java. You may have to choose a manual download since the default installation is often 32-bit, and this message will still appear if you have 32-bit Java installed.

The script has not been minified, but the exported project should still work.
---------------------------
OK
---------------------------
Bl4ckSh33p-Soft - Custom Software and Indie Games
B
58
S
18
G
6
Posts: 756
Reputation: 9,591

Post » Sat Aug 08, 2015 11:04 am

did you install java? minifying doesn't work without it
Image
B
28
S
11
G
2
Posts: 139
Reputation: 3,299

Post » Sat Aug 08, 2015 12:07 pm

Yes, I wrote "its still showing after installing the latest Java Version for 32 and 64 bit." ;)
Bl4ckSh33p-Soft - Custom Software and Indie Games
B
58
S
18
G
6
Posts: 756
Reputation: 9,591

Post » Sun Aug 09, 2015 4:13 pm

I think you might wanna uninstall both of them and install just the 64 bit (could be clashing) and do a hard restart (command line). Ijust exported a project today and it worked fine. (windows 10, C2 r211) :)
B
26
S
1
Posts: 59
Reputation: 1,100

Post » Mon Aug 10, 2015 11:12 am

It works here on Win10, I guess it's an issue with your Java installation? Are you sure you have Java 8 and not Java 7 or older?
Scirra Founder
B
403
S
238
G
89
Posts: 24,654
Reputation: 196,155

Post » Mon Aug 10, 2015 1:47 pm

Its Java 8 Update 51. I will try to uninstall the 32 bit Version but this was never a Problem in the past (and I think some 32 bit apps need it?)
Bl4ckSh33p-Soft - Custom Software and Indie Games
B
58
S
18
G
6
Posts: 756
Reputation: 9,591

Post » Sat Sep 12, 2015 4:38 pm

I was using Java 1.8.0_25 (JDK 8u25) x64 in Windows 8.1 x64
After update to Java 1.8.0_60 (JDK 8u60) x64 in Windows 10 x64 the minimize does not work anymore!
B
93
S
31
G
11
Posts: 654
Reputation: 11,832

Post » Sat Sep 12, 2015 4:54 pm

@lolva thats from august... download r212.2 and the minify script problem will be fixed... however dont go on r213beta wont work anymore.. and also has some audio plugin problems i fixed it by adding the plugin from r212 inside
B
78
S
23
G
69
Posts: 1,354
Reputation: 44,027

Post » Sat Sep 12, 2015 5:35 pm

@gamecorpstudio
Hmmm, so I should go back to R212.2?
B
93
S
31
G
11
Posts: 654
Reputation: 11,832

Post » Sat Sep 12, 2015 9:41 pm

Iolva wrote:@gamecorpstudio
Hmmm, so I should go back to R212.2?


if you need minify script yes... i mean its a stable version... r213 is beta.. problems can occur

and r213 is more for windows 10 exporting stuff.. so i dont need any of those.. but if u want audio plugin to work... id suggest stay on r212 ... in r213 audio plugin has an error ... happening on firefox and chrome and also the minify script seems to have problems on wind7 and 8 ... unless u have windows 10 installed and all javascript updated and all those things
B
78
S
23
G
69
Posts: 1,354
Reputation: 44,027

Next

Return to Construct 2 General

Who is online

Users browsing this forum: BiffanyPFH and 7 guests